#include "modifier_marchandise.h"
#include "ui_modifier_marchandise.h"
#include <QSystemTrayIcon>
#include "marchandise.h"

modifier_marchandise::modifier_marchandise(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::modifier_marchandise)
{
    ui->setupUi(this);
}

modifier_marchandise::~modifier_marchandise()
{
    delete ui;
}

void modifier_marchandise::on_pushButton_clicked()
{
    QString nom= ui->lineEdit->text();
      int poids= ui->lineEdit_4->text().toInt();
        QString marque= ui->lineEdit_2->text();
     int    id=ui->lineEdit_5->text().toInt();
     int    prix=ui->lineEdit_3->text().toInt();
     marchandise e(id,prix,nom,poids,marque);
      bool test=e.modifiermarchendise(id,prix,nom,poids,marque);
      if(test)
      {
          //Smtp* s = new Smtp( "hajmoussa2368@gmail.com", "Hm123456", "smtp.gmail.com", 465 );
          //s->sendMail("hajmoussa2368@gmail.com","youssef.ghedas@esprit.tn","une caisse a été modifier avec succés","Mr youssef");
          notifier = new QSystemTrayIcon(this);
          notifier->setIcon(QIcon("notification.png"));
          notifier->show();
          notifier->showMessage("Succés","l'article a été modifier avec succés",QSystemTrayIcon::Warning,10000);
          hide();


      }
      else
      {
          notifier = new QSystemTrayIcon(this);
          notifier->setIcon(QIcon("notification.png"));
          notifier->show();
          notifier->showMessage("Echec!","L'article n'a pas pu etre modifié",QSystemTrayIcon::Warning,10000);
      }

}
